PERL = perl
MERGE_SCRIPT = $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/mergeCvsBranch.pl -server -nostop
MERGE		 = $(MERGE_SCRIPT) -merge
MERGE_SUBDIRS = $(MERGE_SCRIPT) -subdir -merge
MERGE_FILES = $(MAKE) -f dailyMerge.mak merge_files
CVS_EPAGES5 = RND/epages/epages5
CVS_ALLOS = $(CVS_EPAGES5)/AllOS
CVS_DE_EPAGES = $(CVS_ALLOS)/Cartridges/DE_EPAGES

default: merge_cartridges merge_other

EPG-27957:
	#bbaum
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	
EPG-22550:
	#benjamin
	$(MERGE) EPG-22550 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
	$(MERGE) EPG-22550 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-22550 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order

EPG-25306:	
	#broddeck
	$(MERGE) EPG-25306 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

EPG-13426:	
	#mschroeck
	$(MERGE) EPG-13426 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Ebay

EPG-27746:	
	#bweisse
	$(MERGE) EPG-27746 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-27746 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-27746 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Object

EPG-26474:	
	#slange
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
	$(MERGE) EPG-26474 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	
standard:
	$(MERGE_SUBDIRS) patch_6_15_3
	$(MERGE_SUBDIRS) patch_6_15_3_HF
	$(MERGE_SUBDIRS) patch_6_15

merge_cartridges: standard EPG-27957 EPG-22550 EPG-25306 EPG-13426 EPG-27746 EPG-26474
	#mhoehn
	#$(MERGE) EPG-4207 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES

merge_other:
	$(MERGE_FILES) VERSION=patch_6_15_3_HF
	$(MERGE_FILES) VERSION=patch_6_15_3
	$(MERGE_FILES) VERSION=patch_6_15

merge_files:
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/UNIX
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/WinNT
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/CPAN
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Training
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/RND_EPAGES
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Doc
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Epages6BinaryUpgrade
#	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/HelpSources
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Languages
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Patch
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/QA
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/RegressionTest
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Scheduler
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Shared
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Update
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/WebServiceExamples
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Sybase
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/FlashSources

# when you get the error
#   "cvs checkout: cannot open CVS/Entries for reading: No such file or directory"
# tag removed files:
#   cvs rtag -F -a -r B_patch_6_0_3 M_patch_6_0_3 RND/epages/epages5/UNIX
